package shub.dpm;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class main_subs_0 {


public static RemoteObject  _activity_actionbarhomeclick() throws Exception{
try {
		Debug.PushSubsStack("Activity_ActionBarHomeClick (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,87);
if (RapidSub.canDelegate("activity_actionbarhomeclick")) { return shub.dpm.main.remoteMe.runUserSub(false, "main","activity_actionbarhomeclick");}
 BA.debugLineNum = 87;BA.debugLine="Sub Activity_ActionBarHomeClick";
Debug.ShouldStop(4194304);
 BA.debugLineNum = 91;BA.debugLine="End Sub";
Debug.ShouldStop(67108864);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_create(RemoteObject _firsttime) throws Exception{
try {
		Debug.PushSubsStack("Activity_Create (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,27);
if (RapidSub.canDelegate("activity_create")) { return shub.dpm.main.remoteMe.runUserSub(false, "main","activity_create", _firsttime);}
RemoteObject _pm = RemoteObject.declareNull("shub.dpm.b4xpagesmanager");
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 27;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(67108864);
 BA.debugLineNum = 28;BA.debugLine="Dim pm As B4XPagesManager";
Debug.ShouldStop(134217728);
_pm = RemoteObject.createNew ("shub.dpm.b4xpagesmanager");Debug.locals.put("pm", _pm);
 BA.debugLineNum = 29;BA.debugLine="pm.Initialize(Activity)";
Debug.ShouldStop(268435456);
_pm.runClassMethod (shub.dpm.b4xpagesmanager.class, "_initialize" /*RemoteObject*/ ,main.mostCurrent.activityBA,(Object)(main.mostCurrent._activity));
 BA.debugLineNum = 30;BA.debugLine="Activity.LoadLayout(\"MainPage\")";
Debug.ShouldStop(536870912);
main.mostCurrent._activity.runMethodAndSync(false,"LoadLayout",(Object)(RemoteObject.createImmutable("MainPage")),main.mostCurrent.activityBA);
 BA.debugLineNum = 31;BA.debugLine="Activity.Title=\"DPM Mobile\"";
Debug.ShouldStop(1073741824);
main.mostCurrent._activity.runMethod(false,"setTitle",BA.ObjectToCharSequence("DPM Mobile"));
 BA.debugLineNum = 32;BA.debugLine="Activity.TitleColor=0xFF077AFF";
Debug.ShouldStop(-2147483648);
main.mostCurrent._activity.runMethod(true,"setTitleColor",BA.numberCast(int.class, 0xff077aff));
 BA.debugLineNum = 34;BA.debugLine="End Sub";
Debug.ShouldStop(2);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_keypress(RemoteObject _keycode) throws Exception{
try {
		Debug.PushSubsStack("Activity_KeyPress (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,93);
if (RapidSub.canDelegate("activity_keypress")) { return shub.dpm.main.remoteMe.runUserSub(false, "main","activity_keypress", _keycode);}
Debug.locals.put("KeyCode", _keycode);
 BA.debugLineNum = 93;BA.debugLine="Sub Activity_KeyPress (KeyCode As Int) As Boolean";
Debug.ShouldStop(268435456);
 BA.debugLineNum = 94;BA.debugLine="Return B4XPages.Delegate.Activity_KeyPress(KeyCod";
Debug.ShouldStop(536870912);
if (true) return main.mostCurrent._b4xpages._delegate /*RemoteObject*/ .runClassMethod (shub.dpm.b4xpagesdelegator.class, "_activity_keypress" /*RemoteObject*/ ,(Object)(_keycode));
 BA.debugLineNum = 95;BA.debugLine="End Sub";
Debug.ShouldStop(1073741824);
return RemoteObject.createImmutable(false);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_pause(RemoteObject _userclosed) throws Exception{
try {
		Debug.PushSubsStack("Activity_Pause (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,102);
if (RapidSub.canDelegate("activity_pause")) { return shub.dpm.main.remoteMe.runUserSub(false, "main","activity_pause", _userclosed);}
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 102;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(32);
 BA.debugLineNum = 103;BA.debugLine="B4XPages.Delegate.Activity_Pause";
Debug.ShouldStop(64);
main.mostCurrent._b4xpages._delegate /*RemoteObject*/ .runClassMethod (shub.dpm.b4xpagesdelegator.class, "_activity_pause" /*RemoteObject*/ );
 BA.debugLineNum = 104;BA.debugLine="End Sub";
Debug.ShouldStop(128);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_permissionresult(RemoteObject _permission,RemoteObject _result) throws Exception{
try {
		Debug.PushSubsStack("Activity_PermissionResult (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,106);
if (RapidSub.canDelegate("activity_permissionresult")) { return shub.dpm.main.remoteMe.runUserSub(false, "main","activity_permissionresult", _permission, _result);}
Debug.locals.put("Permission", _permission);
Debug.locals.put("Result", _result);
 BA.debugLineNum = 106;BA.debugLine="Sub Activity_PermissionResult (Permission As Strin";
Debug.ShouldStop(512);
 BA.debugLineNum = 107;BA.debugLine="B4XPages.Delegate.Activity_PermissionResult(Permi";
Debug.ShouldStop(1024);
main.mostCurrent._b4xpages._delegate /*RemoteObject*/ .runClassMethod (shub.dpm.b4xpagesdelegator.class, "_activity_permissionresult" /*RemoteObject*/ ,(Object)(_permission),(Object)(_result));
 BA.debugLineNum = 108;BA.debugLine="End Sub";
Debug.ShouldStop(2048);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_resume() throws Exception{
try {
		Debug.PushSubsStack("Activity_Resume (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,97);
if (RapidSub.canDelegate("activity_resume")) { return shub.dpm.main.remoteMe.runUserSub(false, "main","activity_resume");}
 BA.debugLineNum = 97;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(1);
 BA.debugLineNum = 98;BA.debugLine="B4XPages.Delegate.Activity_Resume";
Debug.ShouldStop(2);
main.mostCurrent._b4xpages._delegate /*RemoteObject*/ .runClassMethod (shub.dpm.b4xpagesdelegator.class, "_activity_resume" /*RemoteObject*/ );
 BA.debugLineNum = 100;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _btnsetings_click() throws Exception{
try {
		Debug.PushSubsStack("BtnSetings_Click (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,36);
if (RapidSub.canDelegate("btnsetings_click")) { return shub.dpm.main.remoteMe.runUserSub(false, "main","btnsetings_click");}
RemoteObject _bconv = RemoteObject.declareNull("anywheresoftware.b4a.agraham.byteconverter.ByteConverter");
RemoteObject _clear = RemoteObject.createImmutable("");
RemoteObject _key = null;
RemoteObject _data = null;
RemoteObject _iv = null;
RemoteObject _su = RemoteObject.declareNull("anywheresoftware.b4a.objects.StringUtils");
RemoteObject _x = RemoteObject.createImmutable("");
RemoteObject _y = null;
RemoteObject _xx = RemoteObject.createImmutable("");
RemoteObject _kg = RemoteObject.declareNull("anywheresoftware.b4a.agraham.encryption.CipherWrapper.KeyGeneratorWrapper");
RemoteObject _c = RemoteObject.declareNull("anywheresoftware.b4a.agraham.encryption.CipherWrapper");
 BA.debugLineNum = 36;BA.debugLine="Private Sub BtnSetings_Click";
Debug.ShouldStop(8);
 BA.debugLineNum = 38;BA.debugLine="Dim Bconv As ByteConverter";
Debug.ShouldStop(32);
_bconv = RemoteObject.createNew ("anywheresoftware.b4a.agraham.byteconverter.ByteConverter");Debug.locals.put("Bconv", _bconv);
 BA.debugLineNum = 39;BA.debugLine="Dim clear As String";
Debug.ShouldStop(64);
_clear = RemoteObject.createImmutable("");Debug.locals.put("clear", _clear);
 BA.debugLineNum = 40;BA.debugLine="Dim key(0) As Byte";
Debug.ShouldStop(128);
_key = RemoteObject.createNewArray ("byte", new int[] {0}, new Object[]{});Debug.locals.put("key", _key);
 BA.debugLineNum = 41;BA.debugLine="Dim data(0) As Byte";
Debug.ShouldStop(256);
_data = RemoteObject.createNewArray ("byte", new int[] {0}, new Object[]{});Debug.locals.put("data", _data);
 BA.debugLineNum = 42;BA.debugLine="Dim iv(0) As Byte";
Debug.ShouldStop(512);
_iv = RemoteObject.createNewArray ("byte", new int[] {0}, new Object[]{});Debug.locals.put("iv", _iv);
 BA.debugLineNum = 44;BA.debugLine="Dim su As StringUtils";
Debug.ShouldStop(2048);
_su = RemoteObject.createNew ("anywheresoftware.b4a.objects.StringUtils");Debug.locals.put("su", _su);
 BA.debugLineNum = 45;BA.debugLine="clear = \"3hba8fOumOPrMG0.G?-mkF-scGOkPwyW\"";
Debug.ShouldStop(4096);
_clear = BA.ObjectToString("3hba8fOumOPrMG0.G?-mkF-scGOkPwyW");Debug.locals.put("clear", _clear);
 BA.debugLineNum = 46;BA.debugLine="data = Bconv.StringToBytes(clear, \"UTF8\")";
Debug.ShouldStop(8192);
_data = _bconv.runMethod(false,"StringToBytes",(Object)(_clear),(Object)(RemoteObject.createImmutable("UTF8")));Debug.locals.put("data", _data);
 BA.debugLineNum = 47;BA.debugLine="Dim x As String =su.EncodeBase64(data)";
Debug.ShouldStop(16384);
_x = _su.runMethod(true,"EncodeBase64",(Object)(_data));Debug.locals.put("x", _x);Debug.locals.put("x", _x);
 BA.debugLineNum = 48;BA.debugLine="Dim y() As Byte=su.DecodeBase64(x)";
Debug.ShouldStop(32768);
_y = _su.runMethod(false,"DecodeBase64",(Object)(_x));Debug.locals.put("y", _y);Debug.locals.put("y", _y);
 BA.debugLineNum = 49;BA.debugLine="Dim xx As String = Bconv.StringFromBytes(y,\"UTF8\"";
Debug.ShouldStop(65536);
_xx = _bconv.runMethod(true,"StringFromBytes",(Object)(_y),(Object)(RemoteObject.createImmutable("UTF8")));Debug.locals.put("xx", _xx);Debug.locals.put("xx", _xx);
 BA.debugLineNum = 53;BA.debugLine="iv = \"Q.6qYq0_C+mGmymX\".GetBytes(\"UTF8\")";
Debug.ShouldStop(1048576);
_iv = RemoteObject.createImmutable("Q.6qYq0_C+mGmymX").runMethod(false,"getBytes",(Object)(RemoteObject.createImmutable("UTF8")));Debug.locals.put("iv", _iv);
 BA.debugLineNum = 55;BA.debugLine="Dim kg As KeyGenerator";
Debug.ShouldStop(4194304);
_kg = RemoteObject.createNew ("anywheresoftware.b4a.agraham.encryption.CipherWrapper.KeyGeneratorWrapper");Debug.locals.put("kg", _kg);
 BA.debugLineNum = 56;BA.debugLine="Dim c As Cipher";
Debug.ShouldStop(8388608);
_c = RemoteObject.createNew ("anywheresoftware.b4a.agraham.encryption.CipherWrapper");Debug.locals.put("c", _c);
 BA.debugLineNum = 57;BA.debugLine="c.Initialize(\"AES/CBC/PKCS5Padding\") ' replace \"D";
Debug.ShouldStop(16777216);
_c.runVoidMethod ("Initialize",(Object)(RemoteObject.createImmutable("AES/CBC/PKCS5Padding")));
 BA.debugLineNum = 60;BA.debugLine="c.InitialisationVector = iv";
Debug.ShouldStop(134217728);
_c.runMethod(false,"setInitialisationVector",_iv);
 BA.debugLineNum = 61;BA.debugLine="kg.Initialize(\"AES\") ' replace \"DES\" with \"AES\" f";
Debug.ShouldStop(268435456);
_kg.runVoidMethod ("Initialize",(Object)(RemoteObject.createImmutable("AES")));
 BA.debugLineNum = 63;BA.debugLine="kg.Keyfrombytes(\"3hba8fOumOPrMG0.G?-mkF-scGOkPwyW";
Debug.ShouldStop(1073741824);
_kg.runVoidMethod ("KeyFromBytes",(Object)(RemoteObject.createImmutable("3hba8fOumOPrMG0.G?-mkF-scGOkPwyW").runMethod(false,"getBytes",(Object)(RemoteObject.createImmutable("UTF8")))));
 BA.debugLineNum = 67;BA.debugLine="clear = \"3hba8fOumOPrMG0.G?-mkF-scGOkPwyW\"";
Debug.ShouldStop(4);
_clear = BA.ObjectToString("3hba8fOumOPrMG0.G?-mkF-scGOkPwyW");Debug.locals.put("clear", _clear);
 BA.debugLineNum = 68;BA.debugLine="data = Bconv.StringToBytes(clear, \"UTF8\")";
Debug.ShouldStop(8);
_data = _bconv.runMethod(false,"StringToBytes",(Object)(_clear),(Object)(RemoteObject.createImmutable("UTF8")));Debug.locals.put("data", _data);
 BA.debugLineNum = 69;BA.debugLine="data = c.Encrypt(data, kg.Key, True)";
Debug.ShouldStop(16);
_data = _c.runMethod(false,"Encrypt",(Object)(_data),(Object)((_kg.runMethod(false,"getKey"))),(Object)(main.mostCurrent.__c.getField(true,"True")));Debug.locals.put("data", _data);
 BA.debugLineNum = 70;BA.debugLine="Log(\"Encoding: \" & Bconv.HexFromBytes(data))";
Debug.ShouldStop(32);
main.mostCurrent.__c.runVoidMethod ("LogImpl","1196642",RemoteObject.concat(RemoteObject.createImmutable("Encoding: "),_bconv.runMethod(true,"HexFromBytes",(Object)(_data))),0);
 BA.debugLineNum = 71;BA.debugLine="Msgbox(Bconv.HexFromBytes(data), \"Encrypted is \"";
Debug.ShouldStop(64);
main.mostCurrent.__c.runVoidMethodAndSync ("Msgbox",(Object)(BA.ObjectToCharSequence(_bconv.runMethod(true,"HexFromBytes",(Object)(_data)))),(Object)(BA.ObjectToCharSequence(RemoteObject.concat(RemoteObject.createImmutable("Encrypted is "),_data.getField(true,"length"),RemoteObject.createImmutable(" bytes")))),main.mostCurrent.activityBA);
 BA.debugLineNum = 72;BA.debugLine="data = c.Decrypt(data, kg.Key, True)";
Debug.ShouldStop(128);
_data = _c.runMethod(false,"Decrypt",(Object)(_data),(Object)((_kg.runMethod(false,"getKey"))),(Object)(main.mostCurrent.__c.getField(true,"True")));Debug.locals.put("data", _data);
 BA.debugLineNum = 73;BA.debugLine="Log(\"Decoding: \" & Bconv.StringFromBytes(data, \"U";
Debug.ShouldStop(256);
main.mostCurrent.__c.runVoidMethod ("LogImpl","1196645",RemoteObject.concat(RemoteObject.createImmutable("Decoding: "),_bconv.runMethod(true,"StringFromBytes",(Object)(_data),(Object)(RemoteObject.createImmutable("UTF8")))),0);
 BA.debugLineNum = 74;BA.debugLine="Msgbox(Bconv.StringFromBytes(data, \"UTF8\"), \"Decr";
Debug.ShouldStop(512);
main.mostCurrent.__c.runVoidMethodAndSync ("Msgbox",(Object)(BA.ObjectToCharSequence(_bconv.runMethod(true,"StringFromBytes",(Object)(_data),(Object)(RemoteObject.createImmutable("UTF8"))))),(Object)(BA.ObjectToCharSequence(RemoteObject.createImmutable("Decrypted"))),main.mostCurrent.activityBA);
 BA.debugLineNum = 77;BA.debugLine="StartActivity(\"Parameter\")";
Debug.ShouldStop(4096);
main.mostCurrent.__c.runVoidMethod ("StartActivity",main.processBA,(Object)((RemoteObject.createImmutable("Parameter"))));
 BA.debugLineNum = 78;BA.debugLine="End Sub";
Debug.ShouldStop(8192);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _button1_click() throws Exception{
try {
		Debug.PushSubsStack("Button1_Click (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,80);
if (RapidSub.canDelegate("button1_click")) { return shub.dpm.main.remoteMe.runUserSub(false, "main","button1_click");}
 BA.debugLineNum = 80;BA.debugLine="Private Sub Button1_Click";
Debug.ShouldStop(32768);
 BA.debugLineNum = 81;BA.debugLine="StartActivity(\"BarcodeScanner\")";
Debug.ShouldStop(65536);
main.mostCurrent.__c.runVoidMethod ("StartActivity",main.processBA,(Object)((RemoteObject.createImmutable("BarcodeScanner"))));
 BA.debugLineNum = 83;BA.debugLine="End Sub";
Debug.ShouldStop(262144);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _create_menu(RemoteObject _menu) throws Exception{
try {
		Debug.PushSubsStack("Create_Menu (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,110);
if (RapidSub.canDelegate("create_menu")) { return shub.dpm.main.remoteMe.runUserSub(false, "main","create_menu", _menu);}
Debug.locals.put("Menu", _menu);
 BA.debugLineNum = 110;BA.debugLine="Sub Create_Menu (Menu As Object)";
Debug.ShouldStop(8192);
 BA.debugLineNum = 111;BA.debugLine="B4XPages.Delegate.Create_Menu(Menu)";
Debug.ShouldStop(16384);
main.mostCurrent._b4xpages._delegate /*RemoteObject*/ .runClassMethod (shub.dpm.b4xpagesdelegator.class, "_create_menu" /*RemoteObject*/ ,(Object)(_menu));
 BA.debugLineNum = 112;BA.debugLine="End Sub";
Debug.ShouldStop(32768);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _globals() throws Exception{
 //BA.debugLineNum = 23;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 24;BA.debugLine="Dim clsMenuHandler As MenuHandler";
main.mostCurrent._clsmenuhandler = RemoteObject.createNew ("shub.dpm.menuhandler");
 //BA.debugLineNum = 25;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _imageview1_click() throws Exception{
try {
		Debug.PushSubsStack("ImageView1_Click (main) ","main",0,main.mostCurrent.activityBA,main.mostCurrent,125);
if (RapidSub.canDelegate("imageview1_click")) { return shub.dpm.main.remoteMe.runUserSub(false, "main","imageview1_click");}
 BA.debugLineNum = 125;BA.debugLine="Private Sub ImageView1_Click";
Debug.ShouldStop(268435456);
 BA.debugLineNum = 126;BA.debugLine="StartActivity(\"About\")";
Debug.ShouldStop(536870912);
main.mostCurrent.__c.runVoidMethod ("StartActivity",main.processBA,(Object)((RemoteObject.createImmutable("About"))));
 BA.debugLineNum = 127;BA.debugLine="End Sub";
Debug.ShouldStop(1073741824);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main_subs_0._process_globals();
parameter_subs_0._process_globals();
about_subs_0._process_globals();
barcodescanner_subs_0._process_globals();
allgfnkt_subs_0._process_globals();
listpat_subs_0._process_globals();
endecodetester_subs_0._process_globals();
jobservice_subs_0._process_globals();
listdata_subs_0._process_globals();
starter_subs_0._process_globals();
b4xpages_subs_0._process_globals();
b4xcollections_subs_0._process_globals();
httputils2service_subs_0._process_globals();
main.myClass = BA.getDeviceClass ("shub.dpm.main");
b4xmainpage.myClass = BA.getDeviceClass ("shub.dpm.b4xmainpage");
parameter.myClass = BA.getDeviceClass ("shub.dpm.parameter");
about.myClass = BA.getDeviceClass ("shub.dpm.about");
barcodescanner.myClass = BA.getDeviceClass ("shub.dpm.barcodescanner");
allgfnkt.myClass = BA.getDeviceClass ("shub.dpm.allgfnkt");
menuhandler.myClass = BA.getDeviceClass ("shub.dpm.menuhandler");
listpat.myClass = BA.getDeviceClass ("shub.dpm.listpat");
endecodetester.myClass = BA.getDeviceClass ("shub.dpm.endecodetester");
jobservice.myClass = BA.getDeviceClass ("shub.dpm.jobservice");
listdata.myClass = BA.getDeviceClass ("shub.dpm.listdata");
starter.myClass = BA.getDeviceClass ("shub.dpm.starter");
b4xpages.myClass = BA.getDeviceClass ("shub.dpm.b4xpages");
b4xbitset.myClass = BA.getDeviceClass ("shub.dpm.b4xbitset");
b4xbytesbuilder.myClass = BA.getDeviceClass ("shub.dpm.b4xbytesbuilder");
b4xcollections.myClass = BA.getDeviceClass ("shub.dpm.b4xcollections");
b4xorderedmap.myClass = BA.getDeviceClass ("shub.dpm.b4xorderedmap");
b4xset.myClass = BA.getDeviceClass ("shub.dpm.b4xset");
b4xpagesdelegator.myClass = BA.getDeviceClass ("shub.dpm.b4xpagesdelegator");
b4xpagesmanager.myClass = BA.getDeviceClass ("shub.dpm.b4xpagesmanager");
httputils2service.myClass = BA.getDeviceClass ("shub.dpm.httputils2service");
httpjob.myClass = BA.getDeviceClass ("shub.dpm.httpjob");
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 19;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 21;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
}